/*
 *  util.h
 *  Utility routines
 *  NT Registry driver for Linux
 *
 *  Copyright (c) 1999, Todd Sabin
 */

#ifndef NTREG_UTIL_H
#define NTREG_UTIL_H

/* Debug levels */
#define DEBUG_OTHER	1
#define DEBUG_MALLOC	2
#define DEBUG_BSD       4
#define DEBUG_LINUX     8
#define DEBUG_DIR1     16
#define DEBUG_DIR2     32
#define DEBUG_DIR3     64
#define DEBUG_FILE1   128
#define DEBUG_FILE2   256
#define DEBUG_FILE3   512
#define DEBUG_NAME1  1024
#define DEBUG_NAME2  2048

void ntreg_debug (int mask, const char *fmt, ...);
void ntreg_error (const char *fmt, ...);

void *ntreg_malloc (int size);
void ntreg_free (void *p);


#endif
